package com.zhilian.mybatisplus.controller;

import com.zhilian.common.core.domain.Result;
import com.zhilian.common.log.annotation.Log;
import com.zhilian.common.log.enums.BusinessType;
import com.zhilian.mybatisplus.domain.Content;
import com.zhilian.mybatisplus.domain.resp.ContentResp;
import com.zhilian.mybatisplus.service.ContentServer;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/content")
public class ContentController {
    @Autowired
    private ContentServer contentServer;

    /**
     * 获取新闻列表
     */
    @GetMapping("/list")
    public Result<List<ContentResp>> searchContentList(){
        List<ContentResp> list =contentServer.searchContentList();
        return Result.success(list);
    }


    /**
     * 新闻添加
     * @return
     */
    @Log(title = "新闻添加",businessType = BusinessType.INSERT)
    @PostMapping("/addNews")
    public Result addNews(@RequestBody Content content){
        contentServer.addNews(content);
        return Result.success();
    }

    /**
     * 新闻添加
     * @return
     */
    @Log(title = "新闻删除",businessType = BusinessType.DELETE)
    @PostMapping("/delNews/{id}")
    public Result delNews(@PathVariable Integer id){
        contentServer.delNews(id);
        return Result.success();
    }


}
