package com.zhilian.mybatisplus.controller;

import com.zhilian.common.core.domain.Result;
import com.zhilian.common.log.enums.BusinessType;
import com.zhilian.mybatisplus.domain.NewsType;
import com.zhilian.mybatisplus.service.NewsTypeService;
import com.zhilian.common.log.annotation.Log;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/newsType")
public class NewsTypeController {
    @Autowired
    private NewsTypeService newsTypeService;

    /**
     * 获取新闻类型字典
     */
    @GetMapping("/list")
    public Result<List<NewsType>> searchNewsTypes(){
        List<NewsType> list =newsTypeService.searchNewsTypes();
        return Result.success(list);
    }


    /**
     * 新闻类型字典添加
     * @param newsType
     * @return
     */
    @Log(title = "新闻类型字典添加",businessType = BusinessType.INSERT)
    @PostMapping("/addNewsTypes")
    public Result addNewsTypes(@RequestBody NewsType newsType){
        newsTypeService.addNewsTypes(newsType);
        return Result.success();
    }

    /**
     * 新闻类型字典删除
     * @param id
     * @return
     */
    @Log(title = "新闻类型字典删除",businessType = BusinessType.DELETE)
    @PostMapping("/delNewsTypes/{id}")
    public Result delNewsTypes(@PathVariable Integer id){
        newsTypeService.delNewsTypes(id);
        return Result.success();
    }
}

